Bug 641466 - [abrt] pssh-2.1.1-1.fc13: psshutil.py:18:read_hosts:IOError: [Errno 2] No such file or directory: 'pssh/wsb22'
Summary: [abrt] pssh-2.1.1-1.fc13: psshutil.py:18:read_hosts:IOError: [Errno 2] No suc...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pssh
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:163243ef
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 19:17 UTC by Aram Agajanian
Modified: 2011-02-16 19:19 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-16 19:17:47 UTC


Attachments (Terms of Use)
File: backtrace (544 bytes, text/plain)
2010-10-08 19:17 UTC, Aram Agajanian
no flags Details

Description Aram Agajanian 2010-10-08 19:17:04 UTC
abrt version: 1.1.13
architecture: x86_64
comment: This error shouldn't generate a crash report.  It is user error and not a problem with the program.
component: pssh
executable: /usr/bin/pssh
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: pssh-2.1.1-1.fc13
reason: psshutil.py:18:read_hosts:IOError: [Errno 2] No such file or directory: 'pssh/wsb22'
release: Fedora release 13 (Goddard)
time: 1286565204
uid: 500

backtrace
-----
psshutil.py:18:read_hosts:IOError: [Errno 2] No such file or directory: 'pssh/wsb22'

Traceback (most recent call last):
  File "/usr/bin/pssh", line 115, in <module>
    hosts = psshutil.read_hosts(opts.host_files, default_user=opts.user)
  File "/usr/lib/python2.6/site-packages/psshlib/psshutil.py", line 18, in read_hosts
    f = open(pathname)
IOError: [Errno 2] No such file or directory: 'pssh/wsb22'

Local variables in innermost frame:
lines: []
default_user: 'root'
pathname: 'pssh/wsb22'
pathnames: ['pssh/wsb22']
default_port: None

How to reproduce
-----
I ran pssh with a -h option and a non-existant filename.

Comment 1 Aram Agajanian 2010-10-08 19:17:07 UTC
Created attachment 452417 [details]
File: backtrace

Comment 2 Terje Røsten 2010-11-07 19:24:39 UTC
Thanks for your report.

I have sent upstream a ping.

Comment 3 Andrew McNabb 2010-12-02 20:18:01 UTC
This is now fixed upstream in commit 9b03c82d.  Sorry for taking so long to get at it.  We'll probably release a new version of pssh in two or three weeks, but feel free to cherrypick the patch if you feel like it's worth the trouble.

Comment 4 Terje Røsten 2011-01-17 15:52:15 UTC
Hi Andrew,

any news about an updated release?

Comment 5 Andrew McNabb 2011-01-18 16:45:48 UTC
I fixed a number of bugs about a week ago. There are still two open issues that I want to look at, but the main thing is testing.  I might even get it done today.

Comment 6 Andrew McNabb 2011-01-21 23:09:52 UTC
This bug is fixed in Version 2.2.  Thanks for your patience.

Comment 7 Fedora Update System 2011-01-23 18:47:38 UTC
pssh-2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pssh-2.2-1.fc13

Comment 8 Fedora Update System 2011-01-23 18:47:44 UTC
pssh-2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pssh-2.2-1.fc14

Comment 9 Fedora Update System 2011-01-24 20:59:13 UTC
pssh-2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pssh'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/pssh-2.2-1.fc13

Comment 10 Fedora Update System 2011-01-27 19:22:42 UTC
pssh-2.2.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pssh-2.2.1-1.fc13

Comment 11 Fedora Update System 2011-01-27 19:22:49 UTC
pssh-2.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pssh-2.2.1-1.fc14

Comment 12 Fedora Update System 2011-02-05 12:03:33 UTC
pssh-2.2.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pssh-2.2.2-1.fc13

Comment 13 Fedora Update System 2011-02-05 12:03:40 UTC
pssh-2.2.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pssh-2.2.2-1.fc14

Comment 14 Fedora Update System 2011-02-16 19:17:42 UTC
pssh-2.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-02-16 19:19:06 UTC
pssh-2.2.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.